%define pkgname			gdk-pixbuf
%define api_version		2.0
%define binary_version		2.10
%define lib_major		0
%define libname		%mklibname gdk_pixbuf %{api_version} %{lib_major}

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Image loading and manipulation library for GTK+
Name:		%{pkgname}%{api_version}-lsb
Version:	2.26.4
Release:        %mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Source0:	http://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
Patch0:		gdk-pixbuf-2.24.0-libpng12-soname.patch
URL:		http://www.gtk.org
Requires:	common-licenses
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.27.2
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libpng12)
BuildRequires:	chrpath
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
BuildRequires:	gtk-doc

%description
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname}-loaders-png12
Summary:        PNG Image loading and manipulation library for GTK+
Group:          System/Libraries
Requires:       %{pkgname}%{api_version} >= %{version}
Provides:	%{libname}-loaders-png = %{version}
Requires(post): %{libname} >= %{version}
Requires(postun): %{libname} >= %{version}

%description -n %{libname}-loaders-png12
This package contains libraries used by GTK+ to load and handle
PNG image formats.

%prep
%setup -n %{pkgname}-%{version} -q
%patch0 -p0

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --without-libjpeg --without-libtiff --disable-rpath
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.0/loaders/

install -m0755 `find -name libpixbufloader-png12.so` %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.0/loaders/libpixbufloader-png12.so
chrpath -d %{buildroot}%{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.0/loaders/*.so

%post -n %{libname}-loaders-png12
%{_libdir}/%{pkgname}-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache

%postun -n %{libname}-loaders-png12
%{_libdir}/%{pkgname}-%{api_version}/bin/gdk-pixbuf-query-loaders --update-cache

%files -n %{libname}-loaders-png12
%defattr(-, root, root)
%{_libdir}/%{pkgname}-%{api_version}/%{binary_version}.0/loaders/libpixbufloader-png12.so


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.26.4-2.mga3
+ Revision: 351148
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 ovitters <ovitters> 2.26.4-1.mga3
+ Revision: 295702
- new version 2.26.4

* Mon Aug 20 2012 ovitters <ovitters> 2.26.3-1.mga3
+ Revision: 282692
- new version 2.26.3

* Mon Aug 06 2012 ovitters <ovitters> 2.26.2-1.mga3
+ Revision: 279407
- new version 2.26.2

* Sat Apr 14 2012 ovitters <ovitters> 2.26.1-1.mga2
+ Revision: 230802
- new version 2.26.1

* Tue Mar 20 2012 ovitters <ovitters> 2.26.0-1.mga2
+ Revision: 225081
- new version 2.26.0
- clean spec

* Sun Feb 05 2012 fwang <fwang> 2.25.2-1.mga2
+ Revision: 204551
- new version 2.25.2

* Sat Dec 17 2011 fwang <fwang> 2.25.0-1.mga2
+ Revision: 183072
- new version 2.25.0

* Tue Sep 27 2011 fwang <fwang> 2.24.0-6.mga2
+ Revision: 149281
- rename the loader to try fixing

* Tue Sep 27 2011 fwang <fwang> 2.24.0-5.mga2
+ Revision: 149277
- add conflicts to temporarily avoid problem, but not fixed

* Sat Sep 24 2011 fwang <fwang> 2.24.0-4.mga2
+ Revision: 147525
- br gtk-doc
- br gettext
- br gettext
- use png12 as soname for loader

* Fri Sep 23 2011 fwang <fwang> 2.24.0-3.mga2
+ Revision: 146946
- add to corect pacakge

* Fri Sep 23 2011 fwang <fwang> 2.24.0-2.mga2
+ Revision: 146931
- add requires on post scriptlet
- rename loader so that it does not conflicts with major flavour of loader

* Fri Sep 23 2011 fwang <fwang> 2.24.0-1.mga2
+ Revision: 146921
- force to drop rpath
- disable jpeg and tiff loader
- import lsb version of png1.2 gdk-pixbuf loader
- Created package structure for gdk-pixbuf2.0-lsb.

